apt 3.1.11 commandline package manager

Public Member Functions | List of all members
pkgDepCache::Policy Class Reference
Inheritance diagram for pkgDepCache::Policy:

## Public Member Functions
virtual VerIterator | GetCandidateVer (PkgIterator const &Pkg)
virtual bool | IsImportantDep (DepIterator const &Dep) const
virtual signed short | GetPriority (PkgIterator const &Pkg)
virtual signed short | GetPriority (VerIterator const &Ver, bool ConsiderFiles=true)
virtual signed short | GetPriority (PkgFileIterator const &File)

## Member Function Documentation

## ◆ IsImportantDep()

bool IsImportantDep | ( | DepIterator const & | Dep | ) | const
| virtual

Todo
  this is a meant as a temporary solution until the

The documentation for this class was generated from the following files:

- apt-pkg/depcache.h
- apt-pkg/depcache.cc